package wxcardvisit

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcardvisit"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx_card_visit wxcardvisit GetWxCardVisitById
//
// Get wx card visit by ID | 通过ID获取WxCardVisit
//
// Get wx card visit by ID | 通过ID获取WxCardVisit
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: WxCardVisitInfoResp

func GetWxCardVisitByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcardvisit.NewGetWxCardVisitByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetWxCardVisitById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
